# Demobeispiel_bearbeitet.py
## Anpassen der Benennungen, weiteres Menue
import wx

### ---------------------------------------------------
class Gui(wx.Frame):
    def __init__(
            self, parent, ID, title, pos=wx.DefaultPosition,
            size=wx.DefaultSize, style=wx.DEFAULT_FRAME_STYLE
            ):

        wx.Frame.__init__(self, parent, ID, title, pos, size, style)
        panel = wx.Panel(self, -1)

        ### Menu-Abschnitt
        # Prepare the menu bar
        menuBar = wx.MenuBar()

        # erstes Menue
        dateiMenu = wx.Menu()
        dateiMenu.Append(101, "Oeffnen")
        dateiMenu.Append(102, "Speichern")
        dateiMenu.AppendSeparator()
        dateiMenu.Append(103, "Beenden")
        # Add menu to the menu bar
        menuBar.Append(dateiMenu, "Datei")

        # zweites Menue
        neuMenu = wx.Menu()
        neuMenu.Append(201, "Stuhl", "")
        neuMenu.Append(202, "Tisch", "")
        neuMenu.Append(203, "Schrank", "")
        ##neuMenu.AppendSeparator()
        # Add menu to the menu bar
        menuBar.Append(neuMenu, "&Moebel")
        
        self.SetMenuBar(menuBar)

        ### Menu events
        self.Bind(wx.EVT_MENU, self.OnOeffnen, id=101)
        self.Bind(wx.EVT_MENU, self.OnSpeichern, id=102)
        self.Bind(wx.EVT_MENU, self.OnBeenden, id=103) ## Korrektur

        self.Bind(wx.EVT_MENU, self.OnStuhl, id=201)
        self.Bind(wx.EVT_MENU, self.OnTisch, id=202)
        self.Bind(wx.EVT_MENU, self.OnSchrank, id=203)

        ### Text-Ctrl-Abschnitt
        l1 = wx.StaticText(panel, -1, "Eingabe")
        l1.SetPosition((15, 15))
        self.t1 = wx.TextCtrl(panel, -1, "Eingabefeld", size=(125, -1),
                              style=wx.TE_PROCESS_ENTER)
        self.t1.SetPosition((115, 15))
        self.Bind(wx.EVT_TEXT_ENTER, self.EvtTextEnter, self.t1)

        l2 = wx.StaticText(panel, -1, "Ausgabe")
        l2.SetPosition((15, 115))
        self.t2 = wx.TextCtrl(panel, -1, "", size=(125, -1))
        self.t2.SetPosition((115, 115))
        self.Bind(wx.EVT_TEXT, self.EvtText2, self.t2)
        
                
        ### Button-Abschnitt
        button = wx.Button(panel, 1003, "Beenden")
        button.SetPosition((285, 15))
        self.Bind(wx.EVT_BUTTON, self.OnBeenden, button)
        ### Fensterereignis
        self.Bind(wx.EVT_CLOSE, self.OnCloseWindow)

    ### Ereignisbehandlung ###
    ### Menu-Abschnitt
    def OnOeffnen(self, event):
        print('Oeffnen\n')

    def OnSpeichern(self, event):
        print('Speichern\n')

    def OnStuhl(self, event):
        print('Stuhl erzeugen\n')

    def OnTisch(self, event):
        print('Tisch erzeugen\n')

    def OnSchrank(self, event):
        print('Schrank erzeugen\n')

    ### Text-Ctrl-Abschnitt
    def EvtTextEnter(self, event):
        self.t2.SetValue(  self.t1.GetValue()  )

    def EvtText2(self, event):
        self.t1.SetValue(  self.t2.GetValue()  )

    ### Button-Abschnitt
    def OnBeenden(self, event):
        self.Close(True)

    def OnCloseWindow(self, event):
        self.Destroy()

### ---------------------------------------------------
class RaumplanerApp(wx.App):
    """Anwendung fuer Raumplaner"""
    def OnInit(self):
        self.fenster = Gui(None, 1000, "Raumplaner")
        self.SetTopWindow(self.fenster)
        self.fenster.Show(True)
        return True

### ---------------------------------------------------
if __name__ == '__main__':
    app = RaumplanerApp(redirect=False)
    app.MainLoop()
